View Issue Details

IDProjectCategoryView StatusLast Update
0000243Volume 2Bugpublic2020-03-04 10:21
ReporterzalittleAssigned ToChet 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionIssue 2 
Target VersionIssue 2Fixed in VersionIssue 2 
Summary0000243: Mapserver_Debug does not correctly recreate certain bins (Develop branch)
DescriptionList of known not working Bins:
data/bins/clientmessages-en.bin - Mainly just textual issues & pstrings

NOTE! Debug build of mapserver is REQUIRED for bin generation!
Steps To Reproduce1. Generate bins with develop branch and launch a server.
2. You should be missing zone names on loading screens, some descriptions for powers and archetypes as well as some NPC names
TagsNo tags attached.
subsystemGame, MapServer

Activities

zalittle

2019-11-27 18:48

developer   ~0000168

https://corps.ouro-comdev.com/index.php?title=Server_Setup_for_Making_Bins - Reference for making bins
mapserver debug version is required for making bins as well as the debug version of the game client.

Chet

2020-03-03 01:50

administrator   ~0000181

https://git.ourodev.com/CoX/Source/pulls/143

Issue History

Date Modified Username Field Change
2019-11-27 17:48 zalittle New Issue
2019-11-27 18:48 zalittle Note Added: 0000168
2019-11-27 18:48 Chet Description Updated View Revisions
2019-11-27 18:48 Chet subsystem DBServer, Game, MapServer => DBServer, Game, MapServer
2019-11-27 18:50 Chet Priority normal => high
2019-11-27 18:50 Chet subsystem DBServer, Game, MapServer => DBServer, Game, MapServer
2020-03-03 01:50 Chet Assigned To => Chet
2020-03-03 01:50 Chet Status new => assigned
2020-03-03 01:50 Chet Note Added: 0000181
2020-03-03 01:51 Chet Description Updated View Revisions
2020-03-03 01:51 Chet Steps to Reproduce Updated View Revisions
2020-03-03 01:51 Chet Additional Information Updated View Revisions
2020-03-03 01:51 Chet subsystem DBServer, Game, MapServer => Game, MapServer
2020-03-04 10:21 Chet Status assigned => resolved
2020-03-04 10:21 Chet Resolution open => fixed
2020-03-04 10:21 Chet Fixed in Version => Issue 2